////////////////////////////////
// Implement Auto Profiling Hooks

#if COMPILER_CLANG

MR4TH_SYMBOL_LINK void
__cyg_profile_func_enter(void *fn, void *caller){
  ProfAutoHook_Begin("func", sizeof("func") - 1);
}

MR4TH_SYMBOL_LINK void
__cyg_profile_func_exit(void *fn, void *caller){
  ProfAutoHook_End();
}

#else
# error no auto profiling hooks implemented for this compiler
#endif
